Get role by ID
1 min
GET
https://usermgmt-api.optimizely.com/api/roles/{roleId}
Path Parameters
- roleIdstringrequiredDescription
Responses
200
- role
- idstring
- namestring
- descriptionstring
- productIdstring
- roleTypeinteger<int32>Default0Formatint32Allowed012
- ownedBystring
- targetIdsstring[]
- isActiveboolean
- attributesattribute[]
- idstring
- keystring
- valuesstring[]
- instanceIdstring
- typestring
- namestring
- descriptionstring
- productIdstring
- isActiveboolean
- createdstring<date-time>Formatdate-time
- modifiedstring<date-time>Formatdate-time
- linkslink[]
- relstring
- hrefstring
- propertiesproperty[]
- namestring
- valuestring
- createdstring<date-time>Formatdate-time
- modifiedstring<date-time>Formatdate-time
- linkslink[]
- relstring
- hrefstring
400
- validationError[]
- fieldstring
- codestring
- messagestring
401
403
404
500
curl
curl --request GET \
--url https://usermgmt-api.optimizely.com/api/roles/{roleId} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://usermgmt-api.optimizely.com/api/roles/{roleId}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://usermgmt-api.optimizely.com/api/roles/{roleId}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://usermgmt-api.optimizely.com/api/roles/{roleId}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// The role response.
{
"id": "",
"name": "",
"description": "",
"productId": "",
"roleType": "",
"ownedBy": "",
"targetIds": [
""
],
"isActive": false,
"attributes": [
{
"id": "",
"key": "",
"values": [
""
],
"instanceId": "",
"type": "",
"name": "",
"description": "",
"productId": "",
"isActive": false,
"created": "",
"modified": "",
"links": [
{
"rel": "",
"href": ""
}
]
}
],
"properties": [
{
"name": "",
"value": ""
}
],
"created": "",
"modified": "",
"links": [
{
"rel": "",
"href": ""
}
]
}400
// The request was invalid or cannot be otherwise served. An accompanying error message will explain further.
[
{
"field": "",
"code": "",
"message": ""
}
]401
// Unauthorized access to endpoint.
403
// Forbidden access to endpoint.
404
// The specified parameters either in the path or body resulted in no resources being found.
500
// A server error occurred, please try again.